import {Injectable} from '@angular/core';
import {Subject} from 'rxjs';

@Injectable()
export class StudentViewService {

  private onDashboardSource = new Subject<Boolean>();
  private onClassViewSource = new Subject<Boolean>();
  private onCompletedSource = new Subject<Boolean>();
  private onSubmissionViewSource = new Subject<Boolean>();

  public onDashboard$ = this.onDashboardSource.asObservable();
  public onClassView$ = this.onClassViewSource.asObservable();
  public onCompletedView$ = this.onCompletedSource.asObservable();
  public onSubmissionView$ = this.onSubmissionViewSource.asObservable();

  public changeToDashboard(flag: Boolean) {
    this.onDashboardSource.next(flag);
  }

  public changeToClassView(flag: Boolean) {
    this.onClassViewSource.next(flag);
  }

  public changeToCompletedView(flag: Boolean) {
    this.onCompletedSource.next(flag);
  }

  public changeToSubmissionView(flag: Boolean) {
    this.onSubmissionViewSource.next(flag);
  }

}
